<?php
 
 
 

namespace PhpWA\Protocol\Proto\StatusAttribution;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Music extends \Google\Protobuf\Internal\Message
{
    


    protected $authorName = null;
    


    protected $songId = null;
    


    protected $title = null;
    


    protected $author = null;
    


    protected $artistAttribution = null;
    


    protected $isExplicit = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAuthorName()
    {
        return isset($this->authorName) ? $this->authorName : '';
    }

    public function hasAuthorName()
    {
        return isset($this->authorName);
    }

    public function clearAuthorName()
    {
        unset($this->authorName);
    }

    




    public function setAuthorName($var)
    {
        GPBUtil::checkString($var, True);
        $this->authorName = $var;

        return $this;
    }

    



    public function getSongId()
    {
        return isset($this->songId) ? $this->songId : '';
    }

    public function hasSongId()
    {
        return isset($this->songId);
    }

    public function clearSongId()
    {
        unset($this->songId);
    }

    




    public function setSongId($var)
    {
        GPBUtil::checkString($var, True);
        $this->songId = $var;

        return $this;
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getAuthor()
    {
        return isset($this->author) ? $this->author : '';
    }

    public function hasAuthor()
    {
        return isset($this->author);
    }

    public function clearAuthor()
    {
        unset($this->author);
    }

    




    public function setAuthor($var)
    {
        GPBUtil::checkString($var, True);
        $this->author = $var;

        return $this;
    }

    



    public function getArtistAttribution()
    {
        return isset($this->artistAttribution) ? $this->artistAttribution : '';
    }

    public function hasArtistAttribution()
    {
        return isset($this->artistAttribution);
    }

    public function clearArtistAttribution()
    {
        unset($this->artistAttribution);
    }

    




    public function setArtistAttribution($var)
    {
        GPBUtil::checkString($var, True);
        $this->artistAttribution = $var;

        return $this;
    }

    



    public function getIsExplicit()
    {
        return isset($this->isExplicit) ? $this->isExplicit : false;
    }

    public function hasIsExplicit()
    {
        return isset($this->isExplicit);
    }

    public function clearIsExplicit()
    {
        unset($this->isExplicit);
    }

    




    public function setIsExplicit($var)
    {
        GPBUtil::checkBool($var);
        $this->isExplicit = $var;

        return $this;
    }

}

